Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class TriggerKey

    java.lang.Object
      org.quartz.utils.Key<TriggerKey>
          org.quartz.TriggerKey

All Implemented Interfaces:
  Serializable, Comparable<Key<TriggerKey>>

    public final class TriggerKey

extends Key<TriggerKey>

Uniquely identifies a `Trigger`.

Keys are composed of both a name and group, and the name must be unique within the group. If only a name is specified then the default group name will be used.

Quartz provides a builder-style API for constructing scheduling-related entities via a Domain-Specific Language (DSL). The DSL can best be utilized through the usage of static imports of the methods on the classes `TriggerBuilder`, `JobBuilder`, `DateBuilder`, `JobKey`, `TriggerKey` and the various `ScheduleBuilder` implementations.

Client code can then use the DSL to write code such as this:

###

###

###

###

             JobDetail job = newJob(MyJob.class)
                 .withIdentity("myJob")
                 .build();

             Trigger trigger = newTrigger()
                 .withIdentity(triggerKey("myTrigger", "myTriggerGroup"))
                 .withSchedule(simpleSchedule()
                     .withIntervalInHours(1)
                     .repeatForever())
                 .startAt(futureDate(10, MINUTES))
                 .build();

             scheduler.scheduleJob(job, trigger);

    See Also:Trigger,
    Key.DEFAULT_GROUP,
    Serialized Form

    Field Summary

    Fields inherited from class org.quartz.utils.Key

    DEFAULT_GROUP

    Constructor Summary

    TriggerKey(String name)

    TriggerKey(String name,
               String group)

    Method Summary

    static TriggerKey
    triggerKey(String name)

    static TriggerKey
    triggerKey(String name,
               String group)

    Methods inherited from class org.quartz.utils.Key

    compareTo, createUniqueName, equals, getGroup, getName, hashCode, toString

    Methods inherited from class java.lang.Object

    clone, finalize, getClass, notify, notifyAll, wait, wait, wait

    Constructor Detail

    TriggerKey

    public TriggerKey(String name)

    TriggerKey

    public TriggerKey(String name,
                      String group)

    Method Detail

    triggerKey

    public static TriggerKey triggerKey(String name)

    triggerKey

    public static TriggerKey triggerKey(String name,
                                        String group)

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright 2001-2016, Terracotta, Inc.